::visit Rootjunky.com

::Set our Window Title
@title Amazon Fire Tablet Tool

::Set our default parameters
@echo off
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] This will help you fix a device that are bootlooping or had a bad rom
echo [*] flash. You can also use twrp to restore your device by flashing the 
echo [*] stock amazon firmware with twrp. firmware found at rootjunkysdl.com
echo.--------------------------------------------------------------------------------
echo [*] First you need to enter fastboot / bootloader mode.
echo [*] To do this power off the device then press and hold volume down and power 
echo [*] until you see RECOVERY MODE at the bottom of the screen. Wait for stock 
echo [*] recovery to load up. with the volume keys scroll to REBOOT TO BOOTLOADER 
echo [*] once highlighted press power button to select it. Next the screen will
echo [*] go black and you will see FASTBOOT MODE. from here plug in your device
echo [*] to the computer. now press any key to continue and boot TWRP recovery
echo.--------------------------------------------------------------------------------
pause
files\fastboot.exe boot TWRP_Fire_2.8.7.0.img
echo.--------------------------------------------------------------------------------
echo [*] twrp Recovery is booting up and this script is done. 
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
exit


